# Merchant History List

This API is used to get merchant transaction history in list format within a selected date range.

### Technical Specification <a href="#technical-specification" id="technical-specification"></a>

| Environment | Method | URL                                                                          |
| ----------- | ------ | ---------------------------------------------------------------------------- |
| Development | POST   | <https://snapstag.finnet.co.id/topup/v1.0/transaction-history-list-merchant> |

### Required Headers <a href="#required-headers" id="required-headers"></a>

<table><thead><tr><th width="70.16666412353516">No</th><th width="149.83331298828125">Name</th><th width="109.50003051757812">Type</th><th width="109.8333740234375">Mandatory</th><th width="169.86455535888672">Description</th></tr></thead><tbody><tr><td>1</td><td>Content-Type</td><td>String</td><td>M</td><td>Fill with <code>application/json</code></td></tr><tr><td>2</td><td>Authorization</td><td>String</td><td>M</td><td><code>Bearer &#x3C;access_token></code></td></tr><tr><td>3</td><td>X-TIMESTAMP</td><td>String</td><td>M</td><td>Timestamp in RFC3339 format: <code>yyyy-MM-ddTHH:mm:ssTZD</code></td></tr><tr><td>4</td><td>X-PARTNERID</td><td>String (36)</td><td>M</td><td>Client ID provided by Finnet</td></tr><tr><td>5</td><td>X-SIGNATURE</td><td>String</td><td>C</td><td>BI SNAP symmetric signature. Use <code>base64(HMAC_SHA512($ClientSecret, stringToSign))</code>. See <a href="/spaces/0e6BKtpYpb5u7FWksQC3/pages/BTR47insrKZNYAJfX8Mf">Signature</a> for details.</td></tr><tr><td>6</td><td>X-EXTERNAL-ID</td><td>String (36)</td><td>M</td><td>Reference number that must be unique within the same day</td></tr><tr><td>7</td><td>X-CHANNEL-ID</td><td>String (5)</td><td>M</td><td>PJP’s channel id Device identification on which the API services is currently being accessed by the end user (customer)</td></tr></tbody></table>

### Body Request <a href="#body-request" id="body-request"></a>

<table><thead><tr><th width="70.16666412353516">No</th><th width="149.83331298828125">Name</th><th width="109.5">Type</th><th width="109.83331298828125">Mandatory</th><th width="169.8646469116211">Description</th></tr></thead><tbody><tr><td>1</td><td>fromDateTime</td><td>String</td><td>M</td><td>Starting time range. Default: NOW (DESC) or NOW - 3 months (ASC)</td></tr><tr><td>2</td><td>toDateTime</td><td>String</td><td>M</td><td>Ending time range. Default: NOW - 3 months (DESC) or NOW (ASC)</td></tr><tr><td>3</td><td>pageSize</td><td>Integer</td><td>O</td><td>Maximum number of transactions returned in one pagination. Default: 10</td></tr><tr><td>4</td><td>pageNumber</td><td>Integer</td><td>O</td><td>Current page number. Default: 0</td></tr></tbody></table>

#### Sample Request <a href="#sample-request" id="sample-request"></a>

```bash
curl --location ' https://snap.finnet.co.id/topup/v1.0/transaction-history-list-merchant' \ 
 --header 'Authorization: Basic ZGVtby51c2VyOg==' \ 
 --header 'Content-Type: application/json' \ 
 --header 'Accept: application/json' \ 
 --data ' 
{ 
  "fromDateTime": "2019-07-03T12:08:56+07:00", 
  "toDateTime": "2019-07-03T12:08:56+07:00", 
  "pageSize": 10, 
  "pageNumber": 2 
} 
```

### Body Response <a href="#body-response" id="body-response"></a>

<table><thead><tr><th width="70.16665649414062">No</th><th width="149.83334350585938">Name</th><th width="109.50003051757812">Type</th><th width="109.83334350585938">Mandatory</th><th width="169.86456298828125">Description</th></tr></thead><tbody><tr><td>1</td><td>responseCode</td><td><a href="/spaces/0e6BKtpYpb5u7FWksQC3/pages/6ETR85uss1c5zyIS5Bhv">Enum</a></td><td>M</td><td>Response code</td></tr><tr><td>2</td><td>responseMessage</td><td>String</td><td>M</td><td>Response message</td></tr><tr><td>3</td><td>detailData</td><td><a href="/spaces/0e6BKtpYpb5u7FWksQC3/pages/4u4JnutnrL56JVpoWcZo">Object</a></td><td>O</td><td>Detail data</td></tr></tbody></table>

#### Sample Response <a href="#sample-response" id="sample-response"></a>

```json
{
  "responseCode": "2001200",
  "responseMessage": "Request has been processed successfully",
  "detailData": [
    {
      "dateTime": "2022-12-02T08:18:13+00:00",
      "amount": {
        "value": "10000.00",
        "currency": "IDR"
      },
      "remark": "Pulsa Rp. 10000",
      "status": "SUCCESS",
      "type": "TEST",
      "additionalInfo": {
        "partnerReferenceNo": "78912343452347003",
        "referenceNo": "2212020005597959",
        "trxcode": "WS_TRX_TRANSFER",
        "id": "16109172",
        "sum_in": "0",
        "sum_out": "10000",
        "channel_id": "140",
        "source": "+6281977817902",
        "destination": "+628198765432112",
        "name": "Testing"
      }
    }
  ]
}
```

### Response Code & Message <a href="#response-code--message" id="response-code--message"></a>

The table below lists response codes and messages for the Merchant History List API.

<table><thead><tr><th width="70.16666412353516">No</th><th width="150.33334350585938">HTTP Code</th><th width="149.66668701171875">Code</th><th width="289.8645553588867">Message</th></tr></thead><tbody><tr><td>1</td><td>200</td><td>2001200</td><td>Successful</td></tr><tr><td>2</td><td>400</td><td>4001100</td><td>Bad request</td></tr><tr><td>3</td><td>400</td><td>4001101</td><td>Invalid field format <code>{field}</code></td></tr><tr><td>4</td><td>400</td><td>4001102</td><td>Invalid mandatory field <code>{field}</code></td></tr><tr><td>5</td><td>401</td><td>4011101</td><td>Invalid token (B2B)</td></tr><tr><td>6</td><td>401</td><td>4011100</td><td>Unauthorised. <code>[Reason]</code></td></tr><tr><td>7</td><td>403</td><td>4031101</td><td>Feature not allowed</td></tr><tr><td>8</td><td>403</td><td>4031104</td><td>Activity count limit exceeded</td></tr><tr><td>9</td><td>404</td><td>4041108</td><td>Invalid merchant</td></tr><tr><td>10</td><td>500</td><td>5001100</td><td>General error</td></tr></tbody></table>


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.finpay.id/api-reference/finpay-money/linkage/merchant-history-list.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
